Eclipse GEF 3.3

## org.eclipse.gef
Class SnapToGeometry.Entry

    java.lang.Object
      org.eclipse.gef.SnapToGeometry.Entry

Enclosing class:
  SnapToGeometry

protected static class SnapToGeometry.Entry
extends java.lang.Object

A vertical or horizontal snapping point. since 3.0

Constructor Summary
`protected` `SnapToGeometry.Entry(int type, int location)` Constructs a new entry of the given type and location.

Method Summary
`int` `getLocation()` Returns the location of the snap entry.
`int` `getType()` Returns the snap type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnapToGeometry.Entry

    protected SnapToGeometry.Entry(int type,
                                   int location)

  Constructs a new entry of the given type and location.

Parameters:
  `type` - an integer between -1 and 1 inclusively
  `location` - the location

Method Detail

### getLocation

    public int getLocation()

  Returns the location of the snap entry.

  Returns:
    the location
  Since:
    3.2

### getType

    public int getType()

  Returns the snap type. The following values may be returned.
  - -1 indicates left/top
  - 0 indicates middle/center
  - 1 indicates right/bottom

  Returns:
    the snap type
  Since:
    3.2

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.